/***************************************************** 
Abrir documento htm en una ventana nueva	
*****************************************************/
function MM_openBrWindow(theURL,winName,features) { //v2.0
  window.open(theURL,winName,features);
}
	var nivel=document.formulario.nivel.value;
	var ruta="";
	for (i=1;i<nivel;i++){
		ruta="../"+ruta;
	}


/***************************************************** 
Recargar ventana si Redimensiona Nav4	
*****************************************************/
function MM_reloadPage(init) {  //reloads the window if Nav4 resized
  if (init==true) with (navigator) {if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {
    document.MM_pgW=innerWidth; document.MM_pgH=innerHeight; onresize=MM_reloadPage; }}
  else if (innerWidth!=document.MM_pgW || innerHeight!=document.MM_pgH) location.reload();
}



/***************************************************** 
Encontrar objeto por las coordenadas	
*****************************************************/
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

/***************************************************** 
Poner texto del Layer	
*****************************************************/
function MM_setTextOfLayer(objName,x,newText) { //v4.01
  if ((obj=MM_findObj(objName))!=null) with (obj)
    if (document.layers) {document.write(unescape(newText)); document.close();}
    else innerHTML = unescape(newText);
}

/***************************************************** 
Mostrar Layers ocultos
*****************************************************/
function MM_showHideLayers() { //v6.0
  var i,p,v,obj,args=MM_showHideLayers.arguments;
  for (i=0; i<(args.length-2); i+=3) if ((obj=MM_findObj(args[i]))!=null) { v=args[i+2];
    if (obj.style) { obj=obj.style; v=(v=='show')?'visible':(v=='hide')?'hidden':v; }
    obj.visibility=v; }
}

/******************************************************************** 
Cambiar el idioma de la página y no perder la localización actual
*********************************************************************/
function Urlidioma( idioma ){	//Url completa
	urlCompleta = new String(document.location );
	//Solo el path
	cadena=document.location.pathname;
	//Posicion donde empieza el path
	posicion=urlCompleta.indexOf(cadena);
	//Dominio
	dominio=urlCompleta.substr(0,posicion);
	//idioma actual
	idioma_actual = cadena.substring(0,4);
	if (idioma_actual == "/ca/" ||
	    idioma_actual == "/gl/" ||
	    idioma_actual== "/en/"  ||
	    idioma_actual == "/fr/" ||
	    idioma_actual == "/eu/" ||
	    idioma_actual == "http://www.msc.es/va/")
	{
		cadena= cadena.substring(3);

	}
	//Comprobamos si tiene parametros
	params="";
	posParams =urlCompleta.indexOf ("?");
	if (posParams != -1)
	{
		params=urlCompleta.substring (posParams);
	}
	cadenaFinal= dominio + "/" + idioma + cadena.substring(1) +  params;
	location.href =  cadenaFinal;
}

/*
function Urlidioma(  idioma ) {  
 miString = new String(document.location ); 
 var contador = 0;   var i = 0;  var caraterComparar; 
 while ( contador < 3)   
 { 
	caraterComparar = miString.charAt(i);  
 	if ( caraterComparar == "/")   
	{
 		contador ++;  	 
 	}
	i++ ;
 }
 var parteUno = i;   
 var parteDos = 0; 
 var unaMitad = miString.substring( 0,parteUno) ; 
 var dosMitad	;  
 caraterComparar = miString.charAt(i+2);  
	 if (caraterComparar == "/" )
	 { 
		 parteDos = i+2;  	
	} 
 	if (parteDos == 0 ) 
	{ 
 		dosMitad = miString.substring( i,miString.length) ; 
	} 
	 else 
	{ 
 		if (idioma == "") 
		{ 
		  dosMitad = miString.substring( (parteDos+1),miString.length)  ;  
		}
 		else 
		{ 
		   dosMitad = miString.substring( parteDos,miString.length)  ; 
		} 
	} 
 var cadenaFinal = unaMitad+idioma+ dosMitad ; 
 location.href =  cadenaFinal ; 
 } 
*/


/******************************************************************** 

Cambiar el zoom de la página y empleo de cookies 

*********************************************************************/
function zoomText(Accion){ 
	//inicializaciones
	var divElements = document.getElementsByTagName('div'); 
	obj=divElements[0];
	if (obj.style.fontSize==""){
		obj.style.fontSize="100%";
	}
	actual=parseInt(obj.style.fontSize); //valor actual del tamaño del texto 
	incremento=10;// el valor del incremento o decremento en el tamaño 
	//accion sobre el texto 
	if(Accion=="reestablecer"){
		obj.style.fontSize="100%";
		createCookie("fontsize",obj.style.fontSize,30);
		var resultado=readCookie("fontsize");
		//alert('Valor guardado en cookie: ' + resultado);
	}
	if(Accion=="aumentar"){
		valor=actual+incremento;
		if (valor<=200){
			obj.style.fontSize=valor+"%";
		}
		else{	
		valor=200;
		obj.style.fontSize=valor+"%";
		}
		createCookie("fontsize",obj.style.fontSize,30);
		var resultado=readCookie("fontsize");
		//alert('Valor guardado en cookie: ' + resultado);
	}

	if(Accion=="disminuir"){
		valor=actual-incremento;
		if (valor>=100){
			obj.style.fontSize=valor+"%";
		}
		else{	
			valor=100;
			obj.style.fontSize=valor+"%";
		}
		createCookie("fontsize",obj.style.fontSize,30);
		var resultado=readCookie("fontsize");
		//alert('Valor guardado en cookie: ' + resultado);
	}
}

function loadPage() {
	var resultado = readCookie("fontsize");
	//alert('Valor guardado en cookie1: ' + resultado);
	var divElements = document.getElementsByTagName('div'); 
	obj=divElements[0];
	//alert('Valor guardado en cookie1: ' + obj);
	obj.style.fontSize = resultado;
	//alert('refrescado');
	//alert("Cargada pag tamano " + resultado);
}

//if(!window.onload) window.onload=loadPage();

function createCookie(name,value,days) {
  if (days) {
    var date = new Date();
    date.setTime(date.getTime()+(days*24*60*60*1000));
    var expires = "; expires="+date.toGMTString();
  }
  else expires = "";
  document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
  var nameEQ = name + "=";
  var ca = document.cookie.split(';');
  for(var i=0;i < ca.length;i++) {
    var c = ca[i];
    while (c.charAt(0)==' ') c = c.substring(1,c.length);
    if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
  }
  return null;
}

loadPage();

/****************************************************************
 Impresion:  Abre una ventana nueva que se es la que se encarga 
 de imprimir el contenido de la ventana actual.
****************************************************************/
function imprimir(camino){
	var pagImp = camino + "diseno/paginaImprimir.html";
	window.open(pagImp,"ventanaImprimir","top=0,left=0,width=670,height=500,scrollbars=Yes,resizable=No,directories=No,location=no,menubar=No,status=No,titlebar=No,toolbar=No");
}

function imprimir_alcohol(camino){
	var pagImp = camino + "diseno/paginaImprimir_alcohol.htm";
	window.open(pagImp,"ventanaImprimir","top=0,left=0,width=670,height=500,scrollbars=Yes,resizable=No,directories=No,location=no,menubar=No,status=No,titlebar=No,toolbar=No");

}